IntelliPhoto 0.6

Public Member Functions | List of all members
IntelliToolCircle Class Reference

The IntelliToolCircle class represents a tool to draw a circle. More...

`#include <IntelliToolCircle.h>`

Inheritance diagram for IntelliToolCircle:

## Public Member Functions
| IntelliToolCircle (PaintingArea *Area, IntelliColorPicker *colorPicker, IntelliToolsettings *Toolsettings)
| A constructor setting the general paintingArea and colorPicker. And reading in the inner alpha and edgeWidth. More...
virtual | ~IntelliToolCircle () override
| A Destructor. More...
virtual void | onMouseRightPressed (int x, int y) override
| A function managing the right click pressed of a mouse. Clearing the canvas layer. More...
virtual void | onMouseRightReleased (int x, int y) override
| A function managing the right click released of a mouse. More...
virtual void | onMouseLeftPressed (int x, int y) override
| A function managing the left click pressed of a mouse. Sets the middle point of the cricle. More...
virtual void | onMouseLeftReleased (int x, int y) override
| A function managing the left click released of a mouse. More...
virtual void | onWheelScrolled (int value) override
| A function managing the scroll event. Changing the edge Width relative to value. More...
virtual void | onMouseMoved (int x, int y) override
| A function managing the mouse moved event. Draws a circle with radius of eulerian norm of mouse position and the middle point. More...
Public Member Functions inherited from IntelliTool
| IntelliTool (PaintingArea *Area, IntelliColorPicker *colorPicker, IntelliToolsettings *Toolsettings)
| A constructor setting the general Painting Area and colorPicker. More...
virtual | ~IntelliTool ()=0
| An abstract Destructor. More...
Tooltype | getTooltype () const
bool | getIsDrawing () const

## Additional Inherited Members
Public Types inherited from IntelliTool
enum | Tooltype { Tooltype::CIRCLE, Tooltype::FLOODFILL, Tooltype::LINE, Tooltype::PEN, Tooltype::PLAIN, Tooltype::POLYGON, Tooltype::RECTANGLE, Tooltype::NONE }
Protected Attributes inherited from IntelliTool
PaintingArea * | Area
| A pointer to the general PaintingArea to interact with. More...
Tooltype | ActiveType
IntelliColorPicker * | colorPicker
| A pointer to the IntelliColorPicker of the PaintingArea to interact with, and get the colors. More...
IntelliToolsettings * | Toolsettings
LayerObject * | activeLayer
| A pointer to the underlying active Layer, do not work on this. This is used for data grabbing or previews. More...
LayerObject * | Canvas
| A pointer to the drawing canvas of the tool, work on this. More...
bool | isDrawing = false
| A flag checking if the user is currently drawing or not. More...

## Detailed Description

The IntelliToolCircle class represents a tool to draw a circle.

Definition at line 14 of file IntelliToolCircle.h.

## Constructor & Destructor Documentation

## ◆ IntelliToolCircle()

IntelliToolCircle::IntelliToolCircle | ( | PaintingArea * | Area,
|  | IntelliColorPicker * | colorPicker,
|  | IntelliToolsettings * | Toolsettings
| ) |  |

A constructor setting the general paintingArea and colorPicker. And reading in the inner alpha and edgeWidth.

Parameters

  Area | - The general paintingArea used by the project.
  colorPicker | - The general colorPicker used by the project.

Definition at line 6 of file IntelliToolCircle.cpp.

## ◆ ~IntelliToolCircle()

IntelliToolCircle::~IntelliToolCircle | ( |  | ) |
| override virtual

A Destructor.

Definition at line 11 of file IntelliToolCircle.cpp.

## Member Function Documentation

## ◆ onMouseLeftPressed()

void IntelliToolCircle::onMouseLeftPressed | ( | int | x,
|  | int | y
| ) |  |
| override virtual

A function managing the left click pressed of a mouse. Sets the middle point of the cricle.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 57 of file IntelliToolCircle.cpp.

## ◆ onMouseLeftReleased()

void IntelliToolCircle::onMouseLeftReleased | ( | int | x,
|  | int | y
| ) |  |
| override virtual

A function managing the left click released of a mouse.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 67 of file IntelliToolCircle.cpp.

## ◆ onMouseMoved()

void IntelliToolCircle::onMouseMoved | ( | int | x,
|  | int | y
| ) |  |
| override virtual

A function managing the mouse moved event. Draws a circle with radius of eulerian norm of mouse position and the middle point.

Parameters

  x | - The x coordinate of the new mouse position.
  y | - The y coordinate of the new mouse position.

Reimplemented from IntelliTool.

Definition at line 76 of file IntelliToolCircle.cpp.

## ◆ onMouseRightPressed()

void IntelliToolCircle::onMouseRightPressed | ( | int | x,
|  | int | y
| ) |  |
| override virtual

A function managing the right click pressed of a mouse. Clearing the canvas layer.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 49 of file IntelliToolCircle.cpp.

## ◆ onMouseRightReleased()

void IntelliToolCircle::onMouseRightReleased | ( | int | x,
|  | int | y
| ) |  |
| override virtual

A function managing the right click released of a mouse.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 53 of file IntelliToolCircle.cpp.

## ◆ onWheelScrolled()

void IntelliToolCircle::onWheelScrolled | ( | int | value | ) |
| override virtual

A function managing the scroll event. Changing the edge Width relative to value.

Parameters

  value | - The absolute the scroll has changed.

Reimplemented from IntelliTool.

Definition at line 71 of file IntelliToolCircle.cpp.

The documentation for this class was generated from the following files:

- src/Tool/IntelliToolCircle.h
- src/Tool/IntelliToolCircle.cpp